#
# Spec file for oracleasm
#

# Macros
# This one is hardcoded because, well, it belongs there
%define _prefix /usr
# Because RPM is dumb
%define _unpackaged_files_terminate_build 0

# Turn on's and off's (summit and debug not used but added
# for future proofing)



Summary: The Oracle Automatic Storage Management support programs.
Name: oracleasm-support
Version: 2.0.3
Release: 2
Copyright: GPL
Group: System Environment/Kernel
Source: oracleasm-2.0.3.tar.gz
URL: http://oss.oracle.com/projects/oracleasm/
Distribution: Oracle
Vendor: Oracle Corporation
Packager: Joel Becker <joel.becker@oracle.com>
AutoReqProv: no


BuildRoot: %{_tmppath}/oracleasm-%{PACKAGE_VERSION}-%{PACKAGE_RELEASE}-root



%description
Tools to manage the Oracle Automatic Storage Management library driver


%prep
%setup -n oracleasm-%{version}


%build
./configure					\
	--prefix=%{_prefix}			\
	--exec-prefix=%{_exec_prefix}		\
	--bindir=%{_bindir}			\
	--sbindir=%{_sbindir}			\
	--sysconfdir=%{_sysconfdir}		\
	--datadir=%{_datadir}			\
	--includedir=%{_includedir}		\
	--libdir=%{_libdir}			\
	--libexecdir=%{_libexecdir}		\
	--localstatedir=%{_localstatedir}	\
	--sharedstatedir=%{_sharedstatedir}	\
	--mandir=%{_mandir}			\
	--infodir=%{_infodir}			\
	--sbindir=/usr/sbin

cd tools
make
cd ..



%install

mkdir -p $RPM_BUILD_ROOT/etc/init.d
cp -f vendor/common/oracleasm.init $RPM_BUILD_ROOT/etc/init.d/oracleasm
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
cp -f vendor/common/oracleasm.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/oracleasm

cd tools
make DESTDIR="$RPM_BUILD_ROOT" install


%clean
rm -rf "$RPM_BUILD_ROOT"


%post
chkconfig oracleasm on

%files
%defattr(-,root,root)
/usr/sbin/asmtool
/usr/sbin/asmscan
%attr(0755,root,root) /usr/lib/oracleasm/oracleasm_debug_link
%attr(0755,root,root) /etc/init.d/oracleasm
%config(noreplace) /etc/sysconfig/oracleasm



%changelog
* Tue Oct 24 2006 Joel Becker <joel.becker@oracle.com>
- Support /etc/enterprise-release

* Wed Jan 07 2004 Joel Becker <joel.becker@oracle.com>
- Make open package.

* Thu Dec 11 2003 Joel Becker <joel.becker@oracle.com>
- Try at userspace thingie.

* Wed Nov 12 2003 Joel Becker <joel.becker@oracle.com>
- Start the ASM rename.

* Thu Oct 30 2003 Joel Becker <joel.becker@oracle.com>
- Created EL3 version

* Mon Jun 23 2003 Joel Becker <joel.becker@oracle.com>
- Added osm-lib bits

* Fri Jun 20 2003 Joel Becker <joel.becker@oracle.com>
- Initial RPM

